SDL_FlushIO(3)

NAME
SDL_FlushIO - Flush any buffered data in the stream.

SYNOPSIS
#include <SDL3/SDL_iostream.h>

bool SDL_FlushIO(SDL_IOStream *context);

DESCRIPTION
This function makes sure that any buffered data is written to the stream. Normally this isn't necessary but if the stream is a pipe or socket it guarantees that any pending data is sent.

FUNCTION PARAMETERS

context

    SDL_IOStream structure to flush.

RETURN VALUE
for more information.

THREAD SAFETY
This function is not thread safe.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_OpenIO(3), SDL_WriteIO(3)